curl --request GET \
--url https://api-staging.pixwel.com/api/workrequests/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-staging.pixwel.com/api/workrequests/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-staging.pixwel.com/api/workrequests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"project": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"slug": "<string>",
"studio": "507f1f77bcf86cd799439011",
"logo": "507f1f77bcf86cd799439011",
"$links": {
"self": "//example.com/path/to/object"
}
},
"asset": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"mediaType": "<string>",
"thumbnail": {
"_id": "507f1f77bcf86cd799439011",
"verified": true,
"embargo": {
"event": true
},
"warnings": "<unknown>",
"mime": "<string>",
"bucket": "<string>",
"tags": "<unknown>",
"chunkSize": 123,
"length": 123,
"md5": "<string>",
"uploadDate": 123,
"$links": {
"self": "//example.com/path/to/object"
}
},
"transcription": {
"_id": "507f1f77bcf86cd799439011",
"graphics": "507f1f77bcf86cd799439011",
"dialogue": "507f1f77bcf86cd799439011",
"script": "507f1f77bcf86cd799439011"
},
"project": "507f1f77bcf86cd799439011",
"studio": "507f1f77bcf86cd799439011",
"creative": true,
"aspectRatio": "<string>",
"usage": {
"broadcast": true,
"online": true,
"dcp": true,
"dcp3d": true,
"film35": true,
"film70": true,
"imax": true,
"imax3d": true,
"atmos2d": true,
"atmos3d": true,
"dolbyVision2d": true,
"dolbyVision3d": true
},
"workflow": {
"id": "507f1f77bcf86cd799439011",
"phase": "<string>",
"definition": {
"phases": {},
"requireGraphicsApproval": true,
"requireOfflineApproval": true
},
"note": "<unknown>"
},
"file": {
"cdslFile": "https://example.com/path/to/object"
},
"cdslFile": "https://example.com/path/to/object"
},
"assetType": "<string>",
"assetCategory": "<string>",
"auto": true,
"autosubs": true,
"dualLanguages": true,
"aspectRatio": "<string>",
"from": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"emailNormal": "user@example.com",
"groups": [
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"$links": {
"self": "//example.com/path/to/object"
}
}
]
},
"due": {
"date": 123,
"tz": "<string>"
},
"language": "<string>",
"territory": "<string>",
"dng": {
"dialogue": [
"<string>"
],
"graphics": [
"<string>"
],
"narration": [
"<string>"
]
},
"uses": {
"items": [
"<string>"
],
"details": {}
},
"dcp": {
"items": [
"<string>"
],
"details": {}
},
"instructions": "<string>",
"status": "<string>",
"history": [
{
"date": 123,
"user": {
"_id": "507f1f77bcf86cd799439011",
"emailNormal": "user@example.com",
"name": "<string>",
"groups": [
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>"
}
]
},
"status": "<string>",
"reason": "<string>"
}
],
"recipients": {},
"shippingAddresses": {},
"estimate": {
"base": {
"graphics": 123,
"narration": 123,
"scripts": 123,
"dubbing": 123,
"subtitling": 123,
"hybrid": 123,
"encoding": 123,
"autosubs": 123,
"autogfx": 123
},
"applied": {
"graphics": 123,
"narration": 123,
"scripts": 123,
"dubbing": 123,
"subtitling": 123,
"hybrid": 123,
"encoding": 123,
"autosubs": 123,
"autogfx": 123,
"files": 123,
"total": 123
}
},
"translation": {
"_id": "507f1f77bcf86cd799439011",
"language": "<string>",
"translator": {
"_id": "507f1f77bcf86cd799439011",
"emailNormal": "user@example.com",
"name": "<string>",
"groups": [
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>"
}
]
},
"status": "<string>",
"lines": [
{
"number": 123,
"text": "<string>",
"auto": true,
"custom": true,
"machine": true,
"startTime": "<string>",
"stopTime": "<string>",
"alignment": "<string>",
"textAlign": "<string>",
"split": "<unknown>",
"merged": "<unknown>",
"range": [
123
]
}
],
"printLines": "<unknown>",
"approval": true,
"$links": {
"self": "//example.com/path/to/object"
}
},
"graphicsTranslation": {
"_id": "507f1f77bcf86cd799439011",
"language": "<string>",
"translator": {
"_id": "507f1f77bcf86cd799439011",
"emailNormal": "user@example.com",
"name": "<string>",
"groups": [
{
"_id": "507f1f77bcf86cd799439011",
"name": "<string>"
}
]
},
"status": "<string>",
"lines": [
{
"number": 123,
"text": "<string>",
"auto": true,
"custom": true,
"machine": true,
"startTime": "<string>",
"stopTime": "<string>",
"alignment": "<string>",
"textAlign": "<string>",
"split": "<unknown>",
"merged": "<unknown>",
"range": [
123
]
}
],
"printLines": "<unknown>",
"approval": true,
"$links": {
"self": "//example.com/path/to/object"
}
},
"urls": {
"view": "https://example.com/path/to/object",
"manage": "https://example.com/path/to/object",
"invite": "https://example.com/path/to/object",
"translate": "https://example.com/path/to/object"
},
"tags": "<unknown>",
"rejections": "<unknown>",
"files": [
{
"name": "<string>",
"files": "<unknown>"
}
],
"materials": [
{
"name": "<string>",
"complete": true,
"approved": true,
"files": [
{
"id": "<string>",
"url": "https://example.com/path/to/object",
"name": "<string>",
"uploadedAt": 123,
"rootId": "<string>",
"version": 123,
"isCurrentVersion": true,
"previousVersionId": "<unknown>"
}
],
"changeRequests": [
{
"id": "<string>",
"_id": "<string>",
"_optimistic": true,
"fileId": "<string>",
"body": "<string>",
"status": "<string>",
"user": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"email": "user@example.com"
},
"requestedBy": {
"_id": "507f1f77bcf86cd799439011",
"email": "user@example.com"
},
"requestedAt": 123,
"created": 123,
"replies": [
{
"id": "<string>",
"_id": "<string>",
"_optimistic": true,
"replyTo": "<string>",
"body": "<string>",
"user": {
"_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"email": "user@example.com"
},
"created": 123,
"editedAt": 123
}
],
"editedAt": 123
}
]
}
],
"deliveryDeadline": {
"date": 123,
"tz": "<string>"
},
"reason": "<string>",
"autoMode": true,
"created": 123,
"$links": {
"self": "//example.com/path/to/object",
"project": "//example.com/path/to/object",
"asset": "//example.com/path/to/object",
"from": "//example.com/path/to/object",
"graphicsTranslation": "//example.com/path/to/object",
"translation": "//example.com/path/to/object"
},
"encodes": "<unknown>",
"offlines": "<unknown>",
"graphicsAutomationJobs": "<unknown>",
"$statuses": [
"<string>"
],
"audioFile": "<unknown>"
}Get a workrequest
Authorizations
Email address and password. A personal access token (pat_…) or session token (token-…) may also be sent in the password field, with any non-empty value as the username — a blank username short-circuits to a 401 before the token is read.
Path Parameters
Response
OK
"507f1f77bcf86cd799439011"
"507f1f77bcf86cd799439011"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Keys are chosen at runtime and are not part of the contract.
Show child attributes
Show child attributes
Keys are chosen at runtime and are not part of the contract.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Shape not inferred — the sampled response had no entries
Shape not inferred — the sampled response had no entries
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Shape not inferred — the sampled response had no entries
Shape not inferred — the sampled response had no entries
Shape not inferred — the sampled response had no entries
Null in every sampled response — shape not inferred